Draft: Serie su punti

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PointArray and the translation is 61% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Draft PathArray.svg Serie su tracciato Pagina precedente:
Pagina successiva: Clona Draft Clone.svg Arrow-right.svg

Draft PointArray.svg Serie su punti

Posizione nel menu
Modificche → Strumenti serie → Serie su punti
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.18
Vedere anche
Serie ortogonale, Serie polare, Serie circolare, Serie su tracciato, Serie di link su tracciato, Serie di link su punti, Clona

Descrizione

Lo strumento Draft PointArray.svg Serie su punti posiziona le copie di una forma selezionata lungo vari punti selezionati.

Questo strumento può essere utilizzato su qualsiasi oggetto che abbia una Part TopoShape, che significa forme 2D create con Draft, ma anche solidi 3D creati con altri ambienti, ad esempio Part, PartDesign o Arch.

Per posizionare le copie in una schiera ortogonale usare Serie; per posizionare le copie su un percorso, utilizzare Serie su percorso; per creare copie o cloni e posizionarli manualmente, utilizzare Sposta, Ruota e Clona.

Draft PointArray Example.png

Oggetto duplicato in punti specifici

Utilizzo

  1. Selezionare un oggetto che si desidera distribuire.
  2. Selezionare un composto di punti.
  3. Premere il pulsante Draft PointArray.svg Serie su punti.

Ogni elemento della serie è un clone esatto dell'oggetto originale, ma l'intera serie è considerata una singola unità in termini di proprietà e aspetto.

Composto di punti

L'oggetto composto di punti può essere creato in diversi modi.

  • Creare vari Draft Point.svg punti Draft o Part Point.svg punti Part, e poi premere Part Compound.svg Crea un composto per creare il composto .
  • Creare i punti con il metodo precedente ma invece di creare un composto usare Draft Upgrade.svg Upgrade per creare un "Blocco".
  • Creare uno Sketcher NewSketch.svg Schizzo, e dentro aggiungere vari punti.

In essence, the object to be used as the compound must have one of three properties, DataComponents, DataLinks, or DataGeometry, and inside that compound, there must be at least one point with DataX, DataY, and DataZ properties.

Note: in the case of Draft Point.svg Draft Point and Part Point.svg Part Point the array will try to position the copies using the DataPlacement of the point. In the case of a Sketcher CreatePoint.svg Sketcher Point, the position will be taken from its internal X, Y, and Z attributes.

Note 2: for Draft Point.svg Draft Point its DataPlacement always follows the values of DataX, DataY, DataZ, so modifying these values is enough to produce the desired displacement. However, for Part Point.svg Part Point, the net displacement is given by the sum of DataPlacement with the vector with components DataX, DataY, and DataZ.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Proprietà

A PointArray is derived from a Part Feature (Part::Feature class), therefore it shares all the latter's properties. In addition to the properties described in Part Feature, the PointArray has the following properties in the property editor.

Objects

  • DataBase (Link): l'oggetto da duplicare; deve avere una Part TopoShape.
  • DataCount (Integer): (sola lettura) specifica il numero di copie nella serie. Questa proprietà è di sola lettura perché il numero di copie è determinato dal numero di punti all'interno di DataPoint Object.
  • DataExtra Placement (Placement): specifica un posizionamento aggiuntivo, traslazione e rotazione, che verrà applicato a ciascuna copia della serie. Ogni copia appare normalmente con la stessa rotazione dell'oggetto DataBase; con questa proprietà è possibile fornire una rotazione aggiuntiva o contrastare la rotazione originale e apportare piccole modifiche alla posizione delle copie. introduced in version 0.19
  • DataPoint Object (Link): specifica un oggetto composto di punti che indicano dove verranno visualizzate le copie dell'oggetto DataBase. L'oggetto composto deve avere una proprietà DataLinks, DataComponents, o DataGeometry, e contenere almeno un elemento con gli attributi DataX, DataY, e DataZ.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento PointArray può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Older call

point_array = makePointArray(base_object, point_object)

New call

point_array = make_point_array(base_object, point_object, extra=None):
  • Crea un oggetto "PointArray" da un base_object, posizionando le copie nei punti contenuti all'interno di point_object.
    • point_object deve avere uno degli attributi Geometry, Links o Components contenenti punti.
    • Invece di un riferimento a un oggetto, base_object e point_object possono anche essere delle Labels (stringhe) di oggetti esistenti nel documento corrente.
    • extra può essere un App.Placement completo o solo un App.Vector o App.Rotation.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()
Arrow-left.svg Draft PathArray.svg Serie su tracciato Pagina precedente:
Pagina successiva: Clona Draft Clone.svg Arrow-right.svg